Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 159291

Summary: CAN-2003-0427 mikmod flaw
Product: [Fedora] Fedora Reporter: Mark J. Cox <mjc>
Component: mikmodAssignee: Martin Stransky <stransky>
Status: CLOSED RAWHIDE QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 4CC: bressers
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20030613,impact=low,source=cve
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-06-09 10:54:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mark J. Cox 2005-06-01 14:08:44 UTC
+++ This bug was initially created as a clone of Bug #159290 +++

Back in June 2003, the Debian package owner for mikmod found a security flaw. 
Unfortunately it doesn't look like this got shared with vendors (I see nothing
in vendor-sec archives), and we didn't update for this minor flaw.  

An attacker could create a malicious archive and if you can convince a victim to
open that archive using mikmod you could overflow a buffer and execute code.

Fix from Gentoo CVS:

http://www.gentoo.org/cgi-bin/viewcvs.cgi/*checkout*/media-sound/mikmod/files/mikmod-3.1.6-security.patch?rev=1.1&content-type=text/plain

This issue affects FC4 (as of FC4-re0530.1) and FC3

Comment 1 Josh Bressers 2005-06-09 17:35:11 UTC
Martin,

Has this update made it into FC4?

Comment 2 Martin Stransky 2005-06-10 07:10:19 UTC
Update for FC4 is done (ID's 405).